import { http } from '@/utils/http';

export function getListApi() {
	return http({
		url: '/sjgl.scnr/cxcSjSc/queryTreeData',
		method: 'GET'
	})
}

export function getJobDesIdByDepAndName(jobname : string) {
	return http({
		url: '/sjgl.tynr/cxcSjJobdescription/queryByNameDep',
		method: 'GET',
		data: { jobname }
	})
}

export function getPathByInsflagQuote(config : Object) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/getPathByInsflagQuote',
		method: 'GET',
		data: config
	})
}

export function queryByIdApi(id : string) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/queryById',
		method: 'GET',
		data: { id }
	})
}